## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DirectoryEnumerator.hpp File Reference

Include dependency graph for DirectoryEnumerator.hpp:

Go to the source code of this file.

## Compounds

- struct DirectoryEnumeratorFunctor
- struct DirectoryFilterPredicate
- struct FilesOnlyFilterPredicate
- struct FindFileStruct

## Defines

- #define DIRECTORY_ENUMERATOR_HEADER_GUARD_1357924680

## Functions

- template<classOutputIteratorType, classFilterPredicateType, classStringType, classStringConversionFunction> void EnumerateDirectory ( const StringType& theFullSearchSpec, OutputIteratorType theOutputIterator, FilterPredicateType theFilterPredicate, StringConversionFunction theConversionFunction, bool fIncludeSelfAndParent = false)
- template<classOutputIteratorType, classFilterPredicateType, classStringType, classStringConversionFunction> void EnumerateDirectory ( const StringType& theDirectory, const StringType& theSearchSpec, OutputIteratorType theOutputIterator, FilterPredicateType theFilterPredicate, StringConversionFunction theConversionFunction, bool fIncludeSelfAndParent = false)

## Define Documentation

#define DIRECTORY_ENUMERATOR_HEADER_GUARD_1357924680

## Function Documentation

template<classOutputIteratorType, classFilterPredicateType, classStringType, classStringConversionFunction>
void EnumerateDirectory ( | const StringType & theDirectory,
| const StringType & theSearchSpec,
| OutputIteratorType theOutputIterator,
| FilterPredicateType theFilterPredicate,
| StringConversionFunction theConversionFunction,
| bool fIncludeSelfAndParent = false )

template<classOutputIteratorType, classFilterPredicateType, classStringType, classStringConversionFunction>
void EnumerateDirectory ( | const StringType & theFullSearchSpec,
| OutputIteratorType theOutputIterator,
| FilterPredicateType theFilterPredicate,
| StringConversionFunction theConversionFunction,
| bool fIncludeSelfAndParent = false )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.